package net.knarcraft.ffmpegconverter.converter.module;

import net.knarcraft.ffmpegconverter.container.FFMpegCommand;
import org.jetbrains.annotations.NotNull;

/**
 * A module for adding options useful for debugging
 */
public class DebugModule implements ConverterModule {

    private double startTime = 50;
    private double duration = 120;

    /**
     * Instantiates a new debug module that starts at 50 seconds, and lasts until 120 seconds
     */
    public DebugModule() {

    }

    /**
     * Instantiates a new debug module
     *
     * @param startTime <p>The time to start at</p>
     * @param duration  <p>The time to stop at</p>
     */
    public DebugModule(double startTime, double duration) {
        if (startTime > 0) {
            this.startTime = startTime;
        }

        if (duration > 0) {
            this.duration = duration;
        }
    }

    @Override
    public void addArguments(@NotNull FFMpegCommand command) {
        command.addInputFileOption("-ss", String.valueOf(this.startTime));
        command.addOutputFileOption("-t", String.valueOf(this.duration));
    }

}
