package net.knarcraft.ffmpegconverter.converter.module;

import net.knarcraft.ffmpegconverter.container.FFMpegCommand;
import org.jetbrains.annotations.NotNull;

import java.util.List;

/**
 * An executor for executing a list of modules
 */
public class ModuleExecutor {

    private final FFMpegCommand command;
    private final List<ConverterModule> modules;

    /**
     * Instantiates a new module executor
     *
     * @param command <p>The command to alter</p>
     * @param modules <p>The models to execute</p>
     */
    public ModuleExecutor(@NotNull FFMpegCommand command, @NotNull List<ConverterModule> modules) {
        this.command = command;
        this.modules = modules;
    }

    /**
     * Adds arguments for all the specified modules to the FFMpeg command
     */
    public void execute() {
        for (ConverterModule module : this.modules) {
            module.addArguments(this.command);
        }
    }

}
