package net.knarcraft.ffmpegconverter.converter.module.output;

import net.knarcraft.ffmpegconverter.container.FFMpegCommand;
import net.knarcraft.ffmpegconverter.converter.module.ConverterModule;
import org.jetbrains.annotations.NotNull;

/**
 * A module for scaling the resolution of video streams
 */
public class ScaleModule implements ConverterModule {

    final int newWidth;
    final int newHeight;

    /**
     * Instantiates a new scale module
     *
     * @param newWidth  <p>The new width of the video stream</p>
     * @param newHeight <p>The new height of the video stream</p>
     */
    public ScaleModule(int newWidth, int newHeight) {
        this.newWidth = newWidth;
        this.newHeight = newHeight;
    }

    @Override
    public void addArguments(@NotNull FFMpegCommand command) {
        command.addOutputFileOption("-vf", "scale=" + this.newWidth + ":" + this.newHeight);
    }

}
